Subject: Re: bug#28339: 25.2; Emacs shows ZWNJ character (Zero Width non-Joiner) as Space

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2017 18:02:33 +0300

> From: handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 13 Sep 2017 23:06:25 +0900
> 
> > And why do we need to tell Emacs that ZWNJ has a 1-pixel width?
> > Should ZWNJ be at all displayed in this case?
> 
> I'm not sure.  As I wrote in the previous mail, as an editor, isn't it
> better to notify a user the existence of ZWNJ?

I thought that the shaping engine returns to us a series of grapheme
clusters that completely replaces ZWNJ and the neighboring characters,
and that therefore we only need to display the glyphs returned by the
shaper.  If one of the glyphs returned by the shaper is ZWNJ, then
isn't the shaper doing a poor job?

Or maybe I misunderstand something about this situation?

Thanks.